Firefox Extension won't open

Have questions about LastPass, or having problems using it? Ask for help here!

Moderators: admin, anatoly_LP, chantieLP, Israel, JoeSiegrist, robyn

Re: Firefox Extension won't open

Postby 123pkb389 » Sun Apr 01, 2018 1:54 am

I have Firefox ESR 52.7.3 (32 bit) and after re-installing Lastpass twice I'm still getting a black icon with a white triangle when I click.
If I try to login via the desktop icon I get a page with a large gray Lastpass logo and nothing else.
Lastpass working fine in Chrome
123pkb389
 
Posts: 3
Joined: Thu Jun 18, 2015 2:26 pm

Re: Firefox Extension won't open

Postby dragoon » Sun Apr 01, 2018 4:06 am

As of today, I've totally, 100% given up on lastpass because of this.

Firefox support has been atrocious since 57 came out (seriously, it uses the same webextension standard that chrome uses...how do you screw this up?) I finally got tired of it after they never updated the firefox android addon, so I dropped my lastpass subscription, and now I'm dropping the free version as well. I just tried bitwarden today after being annoyed with the firefox addon bugs (especially problems with autofill) and it works well for me. Plus, bitwarden's firefox addon works for android as well without any special support required, and it autofills on sites that never autofilled with lastpass. If you're having the same problems I ran into I'd try it, it's free and it has all of the same features as lastpass, and a few extras I've noticed.
dragoon
 
Posts: 3
Joined: Mon Nov 27, 2017 1:33 pm

Re: Firefox Extension won't open

Postby scat1620 » Sun Apr 01, 2018 10:22 am

jpenny84 Wrote:
scat1620 Wrote:Another case here. LastPass extension for Firefox won't login (Firefox Quantum 59.02, Lastpass addon version 4.2.3.20) via the extension at all. Tried a complete clean re-install of Firefox (including background AppData) and LastPass extensions (with no other add-ons in use, and antivirus & firewalls turned off), but no joy. Extension works fine in Chrome and IE. Can also successfully login directly via LastPass.com using Firefox. I'm no tech-y, but that seems pretty conclusive to me that it's the Firefox extension that's up the spout here.

Over to you, LastPass devs...


The extension version you listed is not current. Try installing 4.9.0: https://addons.mozilla.org/en-US/firefo ... /versions/


Now tried each of 4.2.3.20; 4.7.1 and 4.9.0 and not getting any results with any version. Starting from a clean Firefox installation each time, no cookies, cache or add-ons present. LastPass extension continues to work in Chrome and Internet Explorer. Still looks like a fix is needed at LP's end for the Firefox extension.
scat1620
 
Posts: 2
Joined: Mon Sep 01, 2014 2:33 am

LastPass Menus Cut off in Firefox

Postby brownslink » Sun Apr 01, 2018 1:42 pm

LastPass Firefox plugin 4.9.0 is not working correctly with Firefox 52.7.3 (64 bit) ESR.
https://www.mozilla.org/en-US/firefox/organizations/
No one in their right mind would use anything but Firefox from the ESR channel. The standard Firefox release channel is too volatile.

PRECONDITIONS
not logged-in

STEPS
Click on the Last Pass icon.

OBSERVED BEHAVIOR
LastPass plug-in draws a stunted little arrow head with no menu showing.

EXPECTED BEHAVIOR
LastPass draws a dialog under the arrow head with fields for LastPass login credentials.

Cheers
brownslink
 
Posts: 4
Joined: Fri May 19, 2017 10:13 am

Re: LastPass Menus Cut off in Firefox

Postby jadgate33 » Sun Apr 01, 2018 1:56 pm

Ditto here. Same issue.

See my post here from earlier today (heavy sigh). It appears that the latest release on March 30th created this bug. But they've been having issues with FF since 2017 when Firefox "released" its Quantum update (more like jammed down the end user base's throats, I'd say). It's broken many many many FF extensions, not just the LastPass extension. As an example, you haven't been able to cut and paste creds from your vault in FF since the quantum release. See here for some of the fallout:

https://addons.mozilla.org/en-US/firefo ... m/reviews/

Why don't you just stop supporting FF until this is sorted out? Anybody listening?

Jim
jadgate33
 
Posts: 5
Joined: Fri Mar 01, 2013 6:45 pm

Re: Firefox Extension won't open

Postby lpme » Sun Apr 01, 2018 6:34 pm

Looks like the ESR version, which I have to use for work, breaks LP 4.9.0.

However, if you remove the extension, go to the LP site (not the Firefox Add-ons Manager), and install LP from there, you get 4.2.3.20, which works fine.

However, within a day or two it will update itself to 4.9.0 again and be broken again. Argh.


I take from this that LP knows that an older version is required for this older version of FF, but they haven't prevented it from updating itself literally to death. It's possible they can't, due to the way Firefox extensions work, but I doubt it.

Almost more annoying is that there's no way to tell them that or complain about it without buying Premium, which I'm not super inclined to do under these circumstances.

Really quite bogus.
lpme
 
Posts: 9
Joined: Fri Dec 30, 2016 8:43 am

Re: Firefox Extension won't open

Postby lpme » Sun Apr 01, 2018 6:48 pm

Hah, found it, maybe!

At the bottom of the full info page in extension manager is a set of Auto Update radio buttons, Default, On, Off. Just set mine to Off. Note that as per my previous post, I'm on 4.2.3.20, not the latest 4.9.0, which works with FF ESR 52.7.3.

Don't know if that'll actually work, and obviously it has its disadvantages, but if it puts an end to this nonsense, it's probably better for now.

Really, LP should know better than to update itself to an incompatible version in the first place.
lpme
 
Posts: 9
Joined: Fri Dec 30, 2016 8:43 am

LastPass menu no longer working in Firefox

Postby Amandaville » Sun Apr 01, 2018 11:36 pm

LastPass menu no longer working in Firefox. Has worked fine for years until today.

Here's a screenshot showing a triangle under the icon when clicked, but no menu.

https://i.imgur.com/fhhIlSp.png
Amandaville
 
Posts: 15
Joined: Mon Jan 30, 2012 8:52 am

Re: Firefox Extension won't open

Postby WetLook » Mon Apr 02, 2018 4:30 am

lpme Wrote:Looks like the ESR version, which I have to use for work, breaks LP 4.9.0.

However, if you remove the extension, go to the LP site (not the Firefox Add-ons Manager), and install LP from there, you get 4.2.3.20, which works fine.

However, within a day or two it will update itself to 4.9.0 again and be broken again. Argh.


I take from this that LP knows that an older version is required for this older version of FF, but they haven't prevented it from updating itself literally to death. It's possible they can't, due to the way Firefox extensions work, but I doubt it.

Almost more annoying is that there's no way to tell them that or complain about it without buying Premium, which I'm not super inclined to do under these circumstances.

Really quite bogus.


You can complain / report problems without buying Premium: https://lastpass.com/supportticket.php?lpnorefresh=1
WetLook
 
Posts: 43
Joined: Sun Nov 15, 2009 4:03 am

New low

Postby allanonmage372 » Mon Apr 02, 2018 8:00 am

I tried to post a bug report in the bug report forum, and got the below error. Claiming a short and concise bug report is suspicious is a new low in censorship and dodging responsibility.



posting.php?mode=post&f=14

It appears that you have submitted data we've judged as suspicious.

If you think what you did should have worked please email us at support@lastpass.com.


Version 4.9.0 has a fatal flaw; it doesn't work at all
Version 4.9.0 in Firefox 56 and/or ESR on Windows 7 Ultimate 64 bit and 10 Enterprise 64 bit doesn't work. If you click on the 3 dot icon, what would normally be a drop down menu does not appear.

This same problem has been plaguing Private Browsing mode, but now it's in regular mode too. Which means all the modes.

I backed down to the pre-quantum extension.
allanonmage372
 
Posts: 33
Joined: Sun Nov 12, 2017 5:38 pm

PreviousNext

Return to General Support & Troubleshooting

Who is online

Users browsing this forum: No registered users and 61 guests